get
https://app.fracttal.com/api/work_orders_attachments/:folio/
Through this EndPoint you can consult the attachments linked to a work order.
To use this EndPoint it is necessary to have the Advanced API ADD-ON.
Input parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
folio | Integer | Required | Work order ID |
id_work_order_task | Integer | Optional | Id of the task within the work order |
Type | Integer | Optional | Attachment Type (1-File, 3-Note, 2-Link) |
start | Integer | Optional | Initial record number to be displayed by the query. |
limit | Integer | Optional | Final record number to be returned by the query. |
Note:
If the id_work_order_task parameter is provided, the query will filter the attachments corresponding to that specific task.
If it is not provided, all attachments associated with the work order (WO) will be returned.
Files are not delivered as direct binary data. Instead, an S3 signed URL is returned.
These URLs have an expiration time, so the consumer should download the files as soon as possible before they expire.
Output parameters
| Parámetro | Tipo | Descripción |
|---|---|---|
id_work_order_task | Integer | Id of the task within the work order |
id_company | Integer | Company Id |
wo_folio | Integer | Work order ID |
type | Integer | Attachment Type( 1-File, 3-Note, 2-Link) |
description | Text | Attachment Description |
value | Text | Attachment value |
Example:
Request: (GET)https://app.fracttal.com/api/work_orders_attachments/OTPRB8612019?id_work_order_task=7077133
{
"success": true,
"message": "200",
"data": [
{
"description": "",
"value": "https://fracttal-fs.s3.amazonaws.com/company_1190/.ot/7077133/FB_IMG_1618664297806.jpg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJFGNA53BIGD7KR2A%2F20220809%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20220809T205958Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Signature=11b7f37e21f4393298d0d3347d814efb502ff7092849d21e7cff91672f7951aa",
"type": 1,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
},
{
"description": "Nuevo1",
"value": "https://fracttal-fs.s3.amazonaws.com/company_1190/.ot/7077133/FB_IMG_1626372957794.jpg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJFGNA53BIGD7KR2A%2F20220809%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20220809T205958Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Signature=416eae817861b6ac2ce0ac35ff837cf4bdb341d9c5397ce2cb377fa1af60468d",
"type": 1,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
},
{
"description": "Adj off 1",
"value": "https://fracttal-fs.s3.amazonaws.com/company_1190/.ot/3726532/1650458146548-photo.jpeg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJFGNA53BIGD7KR2A%2F20220809%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20220809T205958Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Signature=2513e64ec59ac086f03a8cc39653812da8d3331f7c7880ee69dc1fa693c68f4c",
"type": 1,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
},
{
"description": "Adj off 2",
"value": "https://fracttal-fs.s3.amazonaws.com/company_1190/.ot/3726532/1650458158097-photo.jpeg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJFGNA53BIGD7KR2A%2F20220809%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20220809T205958Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Signature=6bfee2c6a65515e96808861c49f2a89bc1b619526117cece504be7a1523c18e5",
"type": 1,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
},
{
"description": "Adj off 3",
"value": "https://fracttal-fs.s3.amazonaws.com/company_1190/.ot/3726532/Screenshot_20220303_001531_com.facebook.katana.jpg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJFGNA53BIGD7KR2A%2F20220809%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20220809T205958Z&X-Amz-Expires=86400&X-Amz-SignedHeaders=host&X-Amz-Signature=1e121ddc77eebd6615ba3a2047e86364cd0c501f7b6f72af7a4f6851fe4df7e6",
"type": 1,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
},
{
"description": "Link",
"value": "https://unlink.com",
"type": 2,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
},
{
"description": "Nota",
"value": "Adj 4 ok",
"type": 3,
"id_work_order_task": 7077133,
"wo_folio": "OTPRB8612019",
"id_company": 1190
}
],
"total": 7
}Test It
